Seededit-3-0-I2i-250628 - Image Edit - gptproto
Seededit-3-0-I2i-250628 — Image Edit (gptproto). GPTProto API reference.
POST
/
v1
/
images
/
generations
seededit-3-0-i2i-250628 (image edit)
curl --request POST \
--url https://api.example.com/v1/images/generationsimport requests
url = "https://api.example.com/v1/images/generations"
response = requests.post(url)
print(response.text)const options = {method: 'POST'};
fetch('https://api.example.com/v1/images/generations', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
BytePlus’s GPTProto format for the image edit API.
curl --location 'https://gptproto.com/api/v3/bytedance/seededit-3-0-i2i-250628/image-edit' \
--header 'Authorization: sk-xx' \
--header 'Content-Type: application/json' \
--data '{
"enable_base64_output": false,
"enable_sync_mode": false,
"images": [
"https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/images/1757414555847323990_Si8cqCBF.jpeg"
],
"prompt": "Turn this photo into a characterfigure. Behind it, place a box withthe character'\''s image printed on it,and a computer showing the Blendermodeling process on its screen. In frontof the box, add a round plastic basewith the character figure standing on it .set the scene indoors if possible.",
"size": "2227*3183"
}'
import requests
import json
url = "https://gptproto.com/api/v3/bytedance/seededit-3-0-i2i-250628/image-edit"
headers = {
"Authorization": "sk-xx",
"Content-Type": "application/json"
}
data = {
"enable_base64_output": False,
"enable_sync_mode": False,
"images": [
"https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/images/1757414555847323990_Si8cqCBF.jpeg"
],
"prompt": "Turn this photo into a characterfigure. Behind it, place a box withthe character's image printed on it,and a computer showing the Blendermodeling process on its screen. In frontof the box, add a round plastic basewith the character figure standing on it .set the scene indoors if possible.",
"size": "2227*3183"
}
response = requests.post(url, headers=headers, json=data)
result = response.json()
print(json.dumps(result, indent=2))
const url = "https://gptproto.com/api/v3/bytedance/seededit-3-0-i2i-250628/image-edit";
const headers = {
"Authorization": "sk-xx",
"Content-Type": "application/json"
};
const data = {
"enable_base64_output": false,
"enable_sync_mode": false,
"images": [
"https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/images/1757414555847323990_Si8cqCBF.jpeg"
],
"prompt": "Turn this photo into a characterfigure. Behind it, place a box withthe character's image printed on it,and a computer showing the Blendermodeling process on its screen. In frontof the box, add a round plastic basewith the character figure standing on it .set the scene indoors if possible.",
"size": "2227*3183"
};
fetch(url, {
method: "POST",
headers: headers,
body: JSON.stringify(data)
})
.then(response => response.json())
.then(data => console.log(data))
.catch(error => console.error("Error:", error));
package main
import (
"bytes"
"encoding/json"
"fmt"
"io/ioutil"
"net/http"
)
func main() {
url := "https://gptproto.com/api/v3/bytedance/seededit-3-0-i2i-250628/image-edit"
payload := []byte(`{
"enable_base64_output": false,
"enable_sync_mode": false,
"images": [
"https://d1q70pf5vjeyhc.cloudfront.net/media/92d2d4ca66f84793adcb20742b15d262/images/1757414555847323990_Si8cqCBF.jpeg"
],
"prompt": "Turn this photo into a characterfigure. Behind it, place a box withthe character's image printed on it,and a computer showing the Blendermodeling process on its screen. In frontof the box, add a round plastic basewith the character figure standing on it .set the scene indoors if possible.",
"size": "2227*3183"
}`)
req, _ := http.NewRequest("POST", url, bytes.NewBuffer(payload))
req.Header.Set("Authorization", "sk-xx")
req.Header.Set("Content-Type", "application/json")
client := &http.Client{}
resp, err := client.Do(req)
if err != nil {
panic(err)
}
defer resp.Body.Close()
body, _ := ioutil.ReadAll(resp.Body)
fmt.Println(string(body))
}
{
"error": {
"message": "Invalid signature",
"type": "401"
}
}
{
"error": {
"message": "Insufficient balance",
"type": "403"
}
}
{
"error": {
"message": "Internal server error",
"type": "500"
}
}
{
"error": {
"message": "Input may not meet the guidelines. Please adjust and try again.",
"type": "503"
}
}
Parameters
| Parameter | Type | Required | Default | Description |
|---|---|---|---|---|
enable_base64_output | boolean | ❌ No | false | Whether to return base64 encoded output |
enable_sync_mode | boolean | ❌ No | false | Whether to enable synchronous mode |
images | array | ✅ Yes | - | Input image URL(s) for image-to-image generation |
prompt | string | ✅ Yes | - | Image generation prompt describing the desired image content |
size | string | ❌ No | - | Output image resolution (e.g., 22273183, 10241024) |
⌘I

